当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求救:语言支持出错。。。
帖子发表于 : 2010-12-28 12:52 
头像

注册: 2009-07-31 18:56
帖子: 1674
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
点系统-系统管理,弹出窗口“检查可用的语言支持”,之后一闪就关闭了。
然后我就在终端里输入gnome-language-selector看一下出什么错。
代码:
~$ gnome-language-selector
/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py:788: GtkWarning: gtk_cell_view_set_cell_data: assertion `cell_view->priv->displayed_row != NULL' failed
  cell = combo.get_child().get_cell_renderers()[0]
Traceback (most recent call last):
  File "/usr/bin/gnome-language-selector", line 32, in <module>
    options=options)
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 199, in __init__
    self.updateLocaleChooserCombo()
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 68, in wrapper
    res = f(*args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 840, in updateLocaleChooserCombo
    self.updateExampleBox()
  File "/usr/lib/python2.6/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 912, in updateExampleBox
    locale.setlocale(locale.LC_ALL, mylocale)
  File "/usr/lib/python2.6/locale.py", line 513, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

看不懂,谁能帮帮我。。。。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2010-12-28 12:55 
头像

注册: 2009-07-31 18:56
帖子: 1674
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
原来还有人和我一样。http://forum.ubuntu.org.cn/viewtopic.php?f=80&t=279314


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2010-12-28 12:57 
头像

注册: 2009-07-31 18:56
帖子: 1674
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
我用UCloner恢复了一个旧的备份,发现问题还在。。说明可能是/home里的配置文件出错了。。
谁知道配置文件在哪里?? :em20


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2010-12-28 13:16 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
更新看看?不行就直接自己装语言包


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2010-12-28 14:12 
头像

注册: 2009-07-31 18:56
帖子: 1674
地址: 广东阳江
系统: windows、ubuntu
送出感谢: 8
接收感谢: 20
leeaman 写道:
更新看看?不行就直接自己装语言包

可是这个问题就是出在/home的配置文件里,眼看着就是解决不了,就像一条鱼刺卡在喉咙里,难受死了。。
更新没用。。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2011-03-12 22:43 

注册: 2008-09-03 19:24
帖子: 13
送出感谢: 1
接收感谢: 0 次
到新立得里,将 ibus所有的都删了,回来就可以进入,这个问题搞了我很久。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2011-03-13 0:14 

注册: 2008-09-03 19:24
帖子: 13
送出感谢: 1
接收感谢: 0 次
:em06 我回错答案了,要不 sudo apt-get remove language-selector 删了,然后重装 sudo apt-get install language-selector


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 求救:语言支持出错。。。
帖子发表于 : 2011-03-16 20:29 

注册: 2011-03-16 16:28
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
小白问下哈:那gnome-language-selector是虾米指令啊?我用了下,下载了57M安装。。。是语言库更新还是什么?提示是语言支持不够,让下载安装。。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译